Skip to main content
`Ctrl`+`K`

# PetscFVCreateDualSpace

Creates a `PetscDualSpace` appropriate for the `PetscFV`

## Synopsis

    #include "petscfv.h"
    PetscErrorCode PetscFVCreateDualSpace(PetscFV fvm, DMPolytopeType ct)

Not Collective

## Input Parameters

- fvm - The `PetscFV` object

- ct - The `DMPolytopeType` for the cell

## See Also

`PetscFVGetDualSpace()`, `PetscFVSetDualSpace()`, `PetscDualSpace`, `PetscFV`, `PetscFVCreate()`

## Level

intermediate

## Location

src/dm/dt/fv/interface/fv.c

Index of all FV routines
Table of Contents for all manual pages
Index of all manual pages